#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#define DIE() abort()
#define __CLIP_H__
#include "../clipcode.h"
#include "../clipcode.c"

/////////////////////////////////////////////////////////////////////////////

int
main()
{
	char enc[1024];
	char dec[1024];
	int n;

	char* src = "漢字をBase64エンコードし、元に戻します!@#$%^&*()_+=~記号もOK?";

	n = base64_encode(enc, sizeof enc, src, strlen(src));
	printf("%d: [%s]\n", n, enc);

	n = base64_decode(dec, sizeof dec, enc);
	printf("%d: [%.*s]\n", n, n, dec);

	getchar();
}
